Negligent Parachute Maintainers

    eslint-config-piecioshka

    2.2.4 • Public • Published

    eslint-config-piecioshka

    npm version downloads count

    ESLint configuration of my style. All rules was defined.

    Support Babel.js

    1. Install:
    npm install -D @babel/eslint-parser
    1. Set parser in .eslintrc.js:
    {
      "parser": "@babel/eslint-parser",
    }

    Compatibility

    Compatible with ESLint v8.17.0.

    Install

    npm install --save-dev eslint eslint-config-piecioshka

    Usage

    Add some ESLint config to your package.json:

    {
        "scripts": {
            "lint": "eslint ."
        },
        "devDependencies": {
            "eslint": "latest",
            "eslint-config-piecioshka": "latest"
        },
        "eslintConfig": {
            "extends": "piecioshka"
        }
    }

    Then just run npm run lint.

    Unit tests

    npm test

    License

    The MIT License @ 2015-2022

    Install

    npm i eslint-config-piecioshka

    DownloadsWeekly Downloads

    9

    Version

    2.2.4

    License

    MIT

    Unpacked Size

    29.4 kB

    Total Files

    6

    Last publish

    Collaborators

    • piecioshka